# Uses of Class
it.tdlight.jni.TdApi.OptionValue

## Uses of TdApi.OptionValue in it.tdlight.jni

Subclasses of TdApi.OptionValue in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.OptionValueBoolean`
Represents a boolean option.
`static final class`
`TdApi.OptionValueEmpty`
Represents an unknown option or an option which has a default value.
`static final class`
`TdApi.OptionValueInteger`
Represents an integer option.
`static final class`
`TdApi.OptionValueString`
Represents a string option.
Fields in it.tdlight.jni declared as TdApi.OptionValue
Modifier and Type
Field
Description
`TdApi.OptionValue`
TdApi.SetOption.`value`
The new value of the option; pass null to reset option value to a default value.
`TdApi.OptionValue`
TdApi.UpdateOption.`value`
The new option value.
Constructors in it.tdlight.jni with parameters of type TdApi.OptionValue
Modifier
Constructor
Description
``
`SetOption(String name, TdApi.OptionValue value)`
Sets the value of an option.
``
`UpdateOption(String name, TdApi.OptionValue value)`
An option changed its value.